Name:           python-cram
Version:        0.7
Release:    1%{?dist}
Summary:        Simple testing framework for command line applications
License:        GPL-2.0-or-later
URL:            https://bitheap.org/cram/
Source0:         %{pypi_source cram}
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Cram is a functional testing framework for command line applications. Cram
tests look like snippets of interactive shell sessions. Cram runs each command
and compares the command output in the test with the command's actual output.}

%description %_description

%package -n python3-cram
Summary:        %{summary}

%description -n python3-cram %_description

%prep
%autosetup -n cram-%{version}

%py3_shebang_fix scripts/cram

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cram

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} PYTHON=%python3 scripts/cram -v tests

%files -n python3-cram -f %{pyproject_files}
%doc NEWS.rst README.rst TODO.md
%{_bindir}/cram

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-1
- initial build
